Subject: Re: linux-next: build failure after merge of the drivers-x86 tree

From: Ilpo Järvinen <[email-masked]>
Date: Thu, 6 Feb 2025 12:27:19 +0200 (EET)

On Thu, 6 Feb 2025, Stephen Rothwell wrote:

> Hi all,
> 
> After merging the drivers-x86 tree, today's linux-next build
> (x86_64_allmodconfig) failed like this:
> 
> In file included from include/linux/kobject.h:20,
>                  from include/linux/energy_model.h:7,
>                  from include/linux/device.h:16,
>                  from include/linux/acpi.h:14,
>                  from drivers/platform/x86/samsung-galaxybook.c:14:
> drivers/platform/x86/samsung-galaxybook.c: In function 'galaxybook_fw_attr_init':
> drivers/platform/x86/samsung-galaxybook.c:1014:33: error: 'fw_attr' is a pointer; did you mean to use '->'?
>  1014 |         sysfs_attr_init(&fw_attr.display_name);
>       |                                 ^
> include/linux/sysfs.h:55:10: note: in definition of macro 'sysfs_attr_init'
>    55 |         (attr)->key = &__key;                           \
>       |          ^~~~
> drivers/platform/x86/samsung-galaxybook.c:1020:33: error: 'fw_attr' is a pointer; did you mean to use '->'?
>  1020 |         sysfs_attr_init(&fw_attr.current_value);
>       |                                 ^
> include/linux/sysfs.h:55:10: note: in definition of macro 'sysfs_attr_init'
>    55 |         (attr)->key = &__key;                           \
>       |          ^~~~
> 
> Caused by commit
> 
>   f97634611408 ("platform/x86: samsung-galaxybook: Add samsung-galaxybook driver")
> 
> I guess this was never built with CONFIG_DEBUG_LOCK_ALLOC set.
> 
> I have used the drivers-x86 tree from next-20250205 for today.

Apparently it wasn't.

However, I've an LKP success report for f97634611408 (prior to pushing it 
to for-next, I always wait for LKP).

Why LKP didn't catch it despite claiming it built with x86_64_allyesconfig 
(successfully)?? Did LKP not build the tree??

I've pulled the commit from for-next until the problem is resolved to not 
keep breaking builds. Joshua, could you please take a look at it.

-- 
 i.